CMSIS-Driver: Driver_Common.h File Reference

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Macros | Enumerations
Driver_Common.h File Reference

## Data Structures

struct | ARM_DRIVER_VERSION
| Driver Version. More...

## Macros

#define | ARM_DRIVER_VERSION_MAJOR_MINOR(major, minor) (((major) << 8) | (minor))
#define | ARM_DRIVER_OK 0
| Operation succeeded. More...
#define | ARM_DRIVER_ERROR -1
| Unspecified error. More...
#define | ARM_DRIVER_ERROR_BUSY -2
| Driver is busy. More...
#define | ARM_DRIVER_ERROR_TIMEOUT -3
| Timeout occurred. More...
#define | ARM_DRIVER_ERROR_UNSUPPORTED -4
| Operation not supported. More...
#define | ARM_DRIVER_ERROR_PARAMETER -5
| Parameter error. More...
#define | ARM_DRIVER_ERROR_SPECIFIC -6
| Start of driver specific errors. More...

## Enumerations

enum | ARM_POWER_STATE { ARM_POWER_OFF, ARM_POWER_LOW, ARM_POWER_FULL }
| General power states. More...

## Macro Definition Documentation

#define ARM_DRIVER_VERSION_MAJOR_MINOR | ( |  | major,
|  |  | minor
| ) |  | (((major) << 8) | (minor))